MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
sc::Triangle Class Reference
Inheritance diagram for sc::Triangle:

List of all members.

## Public Types

enum | { max_order = 10 }

## Public Member Functions

| Triangle (const Ref< Edge > &v1, const Ref< Edge > &v2, const Ref< Edge > &v3, unsigned int orient0=0)
Ref< Edge > | edge (int i)
int | contains (const Ref< Edge > &) const
unsigned int | orientation (int i) const
unsigned int | orientation (const Ref< Edge > &) const
void | add_edges (std::set< Ref< Edge > > &)
void | add_vertices (std::set< Ref< Vertex > > &)
void | interpolate (const Ref< TriInterpCoef > &, double r, double s, const Ref< Vertex > &v, SCVector3 &dA)
void | interpolate (double r, double s, const Ref< Vertex > &v, SCVector3 &dA)
void | interpolate (double r, double s, const Ref< Vertex > &v, SCVector3 &dA, const Ref< Volume > &vol, double isovalue)
Ref< Vertex > | vertex (int i)
double | flat_area ()
void | flip ()
unsigned int | order () const
void | set_order (int order, const Ref< Volume > &vol, double isovalue)

## Protected Attributes

unsigned int | _order
unsigned int | _orientation0
unsigned int | _orientation1
unsigned int | _orientation2
Ref< Edge > | _edges [3]
Ref< Vertex > * | _vertices

The documentation for this class was generated from the following file:

- triangle.h